Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
SyslogWriter Class Reference

SyslogWriter is a wrapper around the DatagramSocket class it writes text to the specified host on the port 514 (UNIX syslog) More...

## Public Member Functions
| SyslogWriter (const LogString &syslogHost)
void | write (const LogString &string)

## Detailed Description

SyslogWriter is a wrapper around the DatagramSocket class it writes text to the specified host on the port 514 (UNIX syslog)

## Constructor & Destructor Documentation

SyslogWriter | ( | const LogString & | syslogHost | ) |

## Member Function Documentation

void write | ( | const LogString & | string | ) |

The documentation for this class was generated from the following file:

- syslogwriter.h